package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.CategoriaBloqueioImpPosteriorDAO;
import com.rjconsultores.ventaboletos.entidad.CategoriaBloqueioImpPosterior;

@Repository("categoriaBloqueioImpPosteriorDAO")
public class CategoriaBloqueioImpPosteriorHibernateDAO extends GenericHibernateDAO<CategoriaBloqueioImpPosterior, Integer>
		implements CategoriaBloqueioImpPosteriorDAO {

	@Autowired
	public CategoriaBloqueioImpPosteriorHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
}
