package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.AbastoCentral;
import com.rjconsultores.ventaboletos.entidad.AbastoHisto;
import com.rjconsultores.ventaboletos.entidad.Aidf;
import com.rjconsultores.ventaboletos.entidad.TipoMovimentacion;

public interface AbastoHistoDAO extends GenericDAO<AbastoHisto, Long> {
	
	public void grabaHistoricoBilhetes(List<AbastoCentral> bilhetes, TipoMovimentacion tipoMovimentacion);
	
	public void borrarLosQueTienenAIDF(Aidf aidf);

}
