package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import com.rjconsultores.ventaboletos.entidad.SeguroKm;
import java.util.List;

public interface SeguroKmDAO extends GenericDAO<SeguroKm, Integer> {
	
	/**
	 * Indica se existe seguroKm para o orgaoConcedenteId informado
	 * 
	 * @param orgaoConcedenteId
	 * @return
	 */
	public boolean existe(Integer orgaoConcedenteId);

    public List<SeguroKm> buscarPorOrgao(OrgaoConcedente orgao);
	
}
