package com.rjconsultores.ventaboletos.service;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.exception.BusinessException;
import com.rjconsultores.ventaboletos.vo.OrgaoConcedente.RelatorioGratuidadeAgepanVO;

public interface RelatorioAgepanService {
	
	public List<RelatorioGratuidadeAgepanVO> listar(Map<String, Object> parametros) throws BusinessException;
	
	public InputStream gerarArquivoGratuidadeAgepan(Map<String, Object> parametros) throws IOException, BusinessException;

}
